--- aux/broccoli/src/bro_lexer.l.orig	2011-02-11 19:02:35.000000000 -0800
+++ aux/broccoli/src/bro_lexer.l	2011-02-11 19:02:03.000000000 -0800
@@ -27,11 +27,11 @@
 [ \t]+           	 ;
 [0-9]+                   { yylval.i = strtol(yytext, NULL, 10); return BROINT; }
 [0-9]+\.[0-9]+           { yylval.d = strtod(yytext, NULL); return BRODOUBLE; }
-[[:alnum:][:punct:]]+    { yylval.s = strdup(yytext); return BROWORD; }
 \".*\"                   { yylval.s = strdup(yytext+1);
                            yylval.s[strlen(yylval.s) - 1] = '\0';
                            return BROSTRING;
                          }
+[[:alnum:][:punct:]]+    { yylval.s = strdup(yytext); return BROWORD; }
 
 "#".*\n                  { bro_parse_lineno++; }
 "//".*\n                 { bro_parse_lineno++; }
